From fa7830234b19805809dd3b89af331c5c7edd8189 Mon Sep 17 00:00:00 2001
From: Nicolas Boulenguez <nicolas@debian.org>
Date: Thu, 17 Aug 2017 10:41:41 +0200
Subject: [PATCH] Update for gnat-7.

---
 debian/changelog       | 13 +++++++++++++
 debian/compat          |  2 +-
 debian/control         | 12 ++++++------
 debian/copyright       |  6 +++---
 debian/rules           | 14 ++++++++------
 debian/tests/control   |  1 +
 debian/tests/empty-ads | 10 ++++++++++
 debian/watch           |  5 +++--
 8 files changed, 45 insertions(+), 18 deletions(-)
 create mode 100644 debian/tests/control
 create mode 100644 debian/tests/empty-ads

diff --git a/debian/changelog b/debian/changelog
index 8d83922..d976389 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,16 @@
+adabrowse (4.0.3-7.1) UNRELEASED; urgency=medium
+
+  * Non-maintainer upload.
+  * Rebuild with gnat 7 and asis 2017.
+  * Debhelper 10. Remove explicit policy targets.
+  * Standards-Version 4.0.1. HTTPS copyright format URL.
+  * Include only one debian_packaging*.mk snippet.
+  * Install upstream changelog.
+  * Minimal runtime test.
+  * Watch file format 4.
+
+ -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 17 Aug 2017 10:38:02 +0200
+
 adabrowse (4.0.3-7) unstable; urgency=medium
 
   [ Nicolas Boulenguez ]
diff --git a/debian/compat b/debian/compat
index ec63514..f599e28 100644
--- a/debian/compat
+++ b/debian/compat
@@ -1 +1 @@
-9
+10
diff --git a/debian/control b/debian/control
index a5d1124..f2c7244 100644
--- a/debian/control
+++ b/debian/control
@@ -2,19 +2,19 @@ Source: adabrowse
 Section: devel
 Priority: optional
 Maintainer: Adrian-Ken Rueegsegger <ken@codelabs.ch>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1),
+Build-Depends: debhelper (>= 10), dpkg-dev (>= 1.16.1),
 # dpkg-dev 1.16.1 provides /usr/share/dpkg/default.mk
- gprbuild (>= 2015-2),
-# gprbuild compatible with gnat-6
- gnat, gnat-6, libasis2015-dev
-Standards-Version: 3.9.8
+ gprbuild (>= 2017),
+# gprbuild cleaning auto.cgpr after the build.
+ gnat, gnat-7, libasis2017-dev
+Standards-Version: 4.0.1
 Homepage: http://home.datacomm.ch/t_wolf/tw/ada95/adabrowse/
 Vcs-Browser: https://git.codelabs.ch/?p=debian/adabrowse.git
 Vcs-Git: https://git.codelabs.ch/git/debian/adabrowse.git
 
 Package: adabrowse
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, gnat, gnat-6
+Depends: ${shlibs:Depends}, ${misc:Depends}, gnat, gnat-7
 Recommends: gprbuild
 Description: HTML generator for Ada 95 library unit specifications
  AdaBrowse is a javadoc-like HTML generator for Ada 95 library unit
diff --git a/debian/copyright b/debian/copyright
index e4e7ee3..f909b01 100644
--- a/debian/copyright
+++ b/debian/copyright
@@ -1,4 +1,4 @@
-Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
 Upstream-Name: AdaBrowse
 Upstream-Contact: Thomas Wolf <twolf@acm.org>
 Source: http://home.datacomm.ch/t_wolf/tw/ada95/adabrowse/
@@ -9,8 +9,8 @@ License: GPL-2+
 
 Files: debian/*
 Copyright: (C) 2004-2008 Ludovic Brenta <lbrenta@debian.org>
-           (C) 2008-2016 Adrian-Ken Rueegsegger <ken@codelabs.ch>
-           (C)      2016 Nicolas Boulenguez <nicolas.boulenguez@free.fr>
+           (C) 2008-2017 Adrian-Ken Rueegsegger <ken@codelabs.ch>
+           (C) 2016-2017 Nicolas Boulenguez <nicolas.boulenguez@free.fr>
 License: GPL-2+
 
 License: GPL-2+
diff --git a/debian/rules b/debian/rules
index a7b9845..c796efb 100755
--- a/debian/rules
+++ b/debian/rules
@@ -3,12 +3,10 @@
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/ada/debian_packaging*.mk
+gnat_version := $(shell gnatgcc -dumpversion | sed 's/\..*//')
+include /usr/share/ada/debian_packaging-$(gnat_version).mk
 
-POLICY_TARGETS := binary binary-arch binary-indep build build-arch \
-  build-indep clean
-.PHONY: $(POLICY_TARGETS)
-$(POLICY_TARGETS):
+%:
 	dh $@
 
 # Prevent debhelper executing any upstream Makefile target.
@@ -16,11 +14,15 @@ $(POLICY_TARGETS):
 
 override_dh_auto_clean:
 	rm -fr obj
-	rm -f adabrowse auto.cgpr
+	rm -f adabrowse
 
 override_dh_auto_build:
 	gprbuild $(BUILDER_OPTIONS) -p debian/misc/adabrowse.gpr
 
+.PHONY: override_dh_installchangelogs
+override_dh_installchangelogs:
+	dh_installchangelogs doc/versions.html
+
 .PHONY: override_dh_compress
 override_dh_compress:
 	dh_compress -X.ads -X.adb
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..6589c30
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1 @@
+Tests: empty-ads
diff --git a/debian/tests/empty-ads b/debian/tests/empty-ads
new file mode 100644
index 0000000..edb00ff
--- /dev/null
+++ b/debian/tests/empty-ads
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -C -e -u
+
+cd "$ADTTMP"
+
+echo "package P is end P;" > p.ads
+
+# Check that the executable finds gcc.
+# Disable warnings, they would be emitted on stderr.
+adabrowse -w0 -f p.ads
diff --git a/debian/watch b/debian/watch
index 67978ca..6a00bc4 100644
--- a/debian/watch
+++ b/debian/watch
@@ -1,2 +1,3 @@
-version=3
-http://home.datacomm.ch/t_wolf/tw/ada95/adabrowse/ adabrowse[_\-\.](\d.*)_src\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
+version=4
+http://home.datacomm.ch/t_wolf/tw/ada95/adabrowse/ \
+@PACKAGE@@ANY_VERSION@_src@ARCHIVE_EXT@
-- 
2.14.1

